package com.yeejoin.amos.supervision.business.dao.repository;

import com.yeejoin.amos.supervision.dao.entity.Task;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;

@Repository("taskDao")
public interface ITaskDao extends BaseDao<Task, Long> {

	List<Task> findAllByStatus(int status);
	
	Optional<Task> findById(Long id);
	
}
